<?xml version="1.0"?>
<scpd xmlns="urn:schemas-upnp-org:service-1-0">
  <specVersion>
    <major>1</major>
    <minor>0</minor>
  </specVersion>

  <actionList>
    <action>
      <name>YAECDS_Browse</name>
      <argumentList>

	<argument>
	  <name>ObjectID</name>
	  <direction>in</direction>
	  <relatedStateVariable>YAECDS_CurrentSortCriteria</relatedStateVariable>
	</argument>
	<argument>
	  <name>BrowseFlag</name>
	  <direction>in</direction>
	  <relatedStateVariable>YAECDS_CurrentSortCriteria</relatedStateVariable>
	</argument>
	<argument>
	  <name>Filter</name>
	  <direction>in</direction>
	  <relatedStateVariable>YAECDS_CurrentSortCriteria</relatedStateVariable>
	</argument>
	<argument>
	  <name>StartingIndex</name>
	  <direction>in</direction>
	  <relatedStateVariable>YAECDS_SystemUpdateID</relatedStateVariable>
	</argument>
	<argument>
	  <name>RequestedCount</name>
	  <direction>in</direction>
	  <relatedStateVariable>YAECDS_SystemUpdateID</relatedStateVariable>
	</argument>
	<argument>
	  <name>SortCriteria</name>
	  <direction>in</direction>
	  <relatedStateVariable>YAECDS_CurrentSortCriteria</relatedStateVariable>
	</argument>

	<argument>
	  <name>Result</name>
	  <direction>out</direction>
	  <relatedStateVariable>YAECDS_CurrentSortCriteria</relatedStateVariable>
	</argument>
	<argument>
	  <name>pNumberReturned</name>
	  <direction>out</direction>
	  <relatedStateVariable>YAECDS_SystemUpdateID</relatedStateVariable>
	</argument>
	<argument>
	  <name>pTotalMatches</name>
	  <direction>out</direction>
	  <relatedStateVariable>YAECDS_SystemUpdateID</relatedStateVariable>
	</argument>
	<argument>
	  <name>pUpdateID</name>
	  <direction>out</direction>
	  <relatedStateVariable>YAECDS_SystemUpdateID</relatedStateVariable>
	</argument>

      </argumentList>
    </action>
  </actionList>

  <serviceStateTable>
    <stateVariable sendEvents="yes">
      <name>YAECDS_SystemUpdateID</name>
      <dataType>i4</dataType>
    </stateVariable>
    <stateVariable sendEvents="yes">
      <name>YAECDS_CurrentSortCriteria</name>
      <dataType>string</dataType>
    </stateVariable>
  </serviceStateTable>
</scpd>
